MySQL++: mysqlpp::RefCountedPointerDestroyer< T > Struct Template Reference
mysqlpp::RefCountedPointerDestroyer< T > Struct Template Reference

Functor to call delete on the pointer you pass to it. More...

`#include <refcounted.h>`

## Public Member Functions

void | operator() (T *doomed) const
| Functor implementation.

## Detailed Description

### template<class T>
struct mysqlpp::RefCountedPointerDestroyer< T >

Functor to call delete on the pointer you pass to it.

The default "destroyer" for RefCountedPointer. You won't use this directly, you'll pass a functor of your own devising for the second parameter to the RefCountedPointer template to override this. Or simpler, just specialize this template for your type if possible: see ResUse::result_.

The documentation for this struct was generated from the following file:

- refcounted.h